import 'package:flutter/widgets.dart';
import 'package:flutterskel/resources/colors/ColorResources.dart';
import 'package:flutterskel/resources/dimensions/DimensionResources.dart';
import 'package:flutterskel/resources/fonts/FontResources.dart';

/// Base class for fonts
/// A simple class where themes and text styles should be added
abstract class ThemeResources<Dimens extends DimensionResources, Colors extends ColorResources, Fonts extends FontResources> {

  final Dimens dimensions;
  final Colors colors;
  final Fonts fonts;

  ThemeResources({@required this.dimensions, @required this.colors, @required this.fonts});

}