import 'package:flutter/widgets.dart';
import 'package:flutterskel/userinformation/data/UserProfileModel.dart';

abstract class UserInformationRepository<ProfileModel extends UserModel> extends ChangeNotifier {

  ProfileModel userModel;

  void loginUser(ProfileModel userModel) {
    this.userModel = userModel;
    notifyListeners();
  }

  void logoutUser(ProfileModel userModel) {
    this.userModel = null;
    notifyListeners();
  }

  void updateUserProfile(ProfileModel userModel) {
    this.userModel = userModel;
    notifyListeners();
  }



}